PassThrough Requests for getting the Job related fields

Sample PassThrough requeats for getting the list of possible values of employmentType, officeId, and metaData.companyId field in create job Api for Recruiterflow.

List EmploymentType

Use the id field, in the response, as the employmentType in create job api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "organization/employment-type/list"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "{\"data\":[{\"id\":4,\"name\":\"Contract\"},{\"id\":1,\"name\":\"Full time\"},{\"id\":5,\"name\":\"Internship\"},{\"id\":2,\"name\":\"Part time\"},{\"id\":3,\"name\":\"Temporary\"}]}\n",
            "headers": {
                "Date": "Tue, 24 Feb 2026 15:42:35 GMT",
                "Content-Type": "application/json",
                "Connection": "keep-alive",
                "Server": "Apache",
                "Vary": "Accept-Encoding",
                "content-length": "151"
            }
        }
    }
}


List Companies

Use the id field, in the response, as the metaData.companyId in create job api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "client/list?current_page=1&items_per_page=100"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"added_by\":{\"id\":3264,\"img_link\":\"https://s3-eu-central-1.amazonaws.com/com-recruiterflow-static-content-eu/user-profile-pictures/3264/recruiterflow_logo.png\",\"name\":\"System Admin\"},\"added_time\":\"2026-02-17T08:38:55+0000\",\"careers_page\":null,\"closed_jobs\":[],\"company_size\":null,\"custom_fields\":[],\"domain\":null,\"files\":[],\"id\":18,\"img_link\":null,\"industry\":null,\"lead_owner\":{\"id\":3264,\"img_link\":\"https://s3-eu-central-1.amazonaws.com/com-recruiterflow-static-content-eu/user-profile-pictures/3264/recruiterflow_logo.png\",\"name\":\"System Admin\"},\"linkedin_page\":null,\"location\":{\"city\":null,\"country\":null,\"location\":null,\"postal_code\":null,\"state\":null,\"street_address_1\":null,\"street_address_2\":null},\"name\":\"Theoretical Physics Researcher\",\"notes\":[],\"open_jobs\":[],\"overview\":null,\"phone_number\":[],\"revenue\":{\"currency\":null,\"number\":null},\"status\":{\"id\":4,\"name\":\"Won\"},\"tags\":[]}]\n",
            "headers": {
                "Date": "Tue, 24 Feb 2026 15:55:59 GMT",
                "Content-Type": "application/json",
                "Connection": "keep-alive",
                "Server": "Apache",
                "Vary": "Accept-Encoding",
                "content-length": "891"
            }
        }
    }
}


List Locations

Use the id field, in the response, as the officeId in create job api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "organization/location/list"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "{\"data\":[{\"city\":\"\",\"country\":\"\",\"id\":1,\"iso_3166_1_alpha_2_code\":null,\"name\":\"Gotham\",\"state\":\"\",\"zipcode\":\"\"},{\"city\":null,\"country\":\"Singapore\",\"id\":2,\"iso_3166_1_alpha_2_code\":\"SG\",\"name\":\"Singapore\",\"state\":null,\"zipcode\":null},{\"city\":\"New York\",\"country\":\"United States\",\"id\":3,\"iso_3166_1_alpha_2_code\":\"US\",\"name\":\"New York\",\"state\":\"New York\",\"zipcode\":null},{\"city\":\"Los Angeles\",\"country\":\"United States\",\"id\":4,\"iso_3166_1_alpha_2_code\":\"US\",\"name\":\"Los Angeles\",\"state\":\"California\",\"zipcode\":null}]}\n",
            "headers": {
                "Date": "Tue, 24 Feb 2026 16:00:27 GMT",
                "Content-Type": "application/json",
                "Connection": "keep-alive",
                "Server": "Apache",
                "Vary": "Accept-Encoding",
                "content-length": "515"
            }
        }
    }
}